---
title: Predict Leads
description: Company data and events API.
---

In-depth company data, including signals like fundraising announcemnts, hiring intent, new customers signed, technologies used, product launches, location expansions, awards received, etc.

- package: `@agentic/predict-leads`
- exports: `class PredictLeadsClient`, `namespace predictleads`
- env vars: `PREDICT_LEADS_API_KEY`, `PREDICT_LEADS_API_TOKEN`
- [source](https://github.com/transitive-bullshit/agentic/blob/main/packages/predict-leads/src/predict-leads-client.ts)
- [precit leads api docs](https://docs.predictleads.com/v3)

## Install

<CodeGroup>
```bash npm
npm install @agentic/predict-leads
```

```bash yarn
yarn add @agentic/predict-leads
```

```bash pnpm
pnpm add @agentic/predict-leads
```

</CodeGroup>

## Usage

```ts
import { PredictLeadsClient } from '@agentic/predict-leads'

const predictLeads = new PredictLeadsClient()
const res = await predictLeads.getCompanyEvents({ domain: 'apple.com' })
```
